Bug 1119892 - CVE-2014-3429 ipython: cross-domain websocket hijacking vulnerability [epel-6]
Summary: CVE-2014-3429 ipython: cross-domain websocket hijacking vulnerability [epel-6]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: ipython
Version: el6
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Cantrell
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2014-3429
TreeView+ depends on / blocked
 
Reported: 2014-07-15 18:35 UTC by Vincent Danen
Modified: 2014-07-30 19:34 UTC (History)
4 users (show)

Fixed In Version: ipython-0.13.2-5.el6
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-30 19:34:59 UTC


Attachments (Terms of Use)

Description Vincent Danen 2014-07-15 18:35:32 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora EPEL.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

epel-6 tracking bug for ipython: see blocks bug list for full details of the security issue(s).

[bug automatically created by: add-tracking-bugs]

Comment 1 Vincent Danen 2014-07-15 18:37:40 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1119890,1119892

# Description of your update
notes=Security fix for CVE-2014-3429

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Comment 2 Fedora Update System 2014-07-15 20:06:50 UTC
ipython-0.13.2-5.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/ipython-0.13.2-5.el6

Comment 3 Fedora Update System 2014-07-16 03:52:38 UTC
Package ipython-0.13.2-5.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing ipython-0.13.2-5.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2014-1913/ipython-0.13.2-5.el6
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2014-07-30 19:34:59 UTC
ipython-0.13.2-5.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.